package net.knarcraft.playerpayouts.listener;

import net.knarcraft.playerpayouts.manager.PlayerTracker;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

/**
 * A listener that starts tracking player time once players join
 */
public class PlayerJoinListener implements Listener {

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        PlayerTracker.trackPlayer(event.getPlayer());
    }

}
